
From: Adrian Bunk <bunk@stusta.de>

If you select something, you have to ensure that the dependencies of 
what you are selecting are fulfilled.

This patch fixes the following compile error with CONFIG_DLM=y and 
CONFIG_IPV6=m:

  LD      .tmp_vmlinux1
net/built-in.o: In function `sctp_v6_err':
ipv6.c:(.text+0x8cb67): undefined reference to `icmpv6_err_convert'
ipv6.c:(.text+0x8cbad): undefined reference to `in6_dev_finish_destroy'
ipv6.c:(.text+0x8cc4b): undefined reference to `icmpv6_statistics'
...

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Dave Teigland <teigland@redhat.com>
Cc: Patrick Caulfield <pcaulfie@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/dlm/Kconfig~dlm-build-fix drivers/dlm/Kconfig
--- devel/drivers/dlm/Kconfig~dlm-build-fix	2005-08-16 00:28:33.000000000 -0700
+++ devel-akpm/drivers/dlm/Kconfig	2005-08-16 00:28:33.000000000 -0700
@@ -3,6 +3,7 @@ menu "Distributed Lock Manager"
 
 config DLM
 	tristate "Distributed Lock Manager (DLM)"
+	depends on IPV6 || IPV6=n
 	select IP_SCTP
 	help
 	A general purpose distributed lock manager for kernel or userspace
_
